#ifndef __ITEXT_F2
#define __ITEXT_F2

#define CHU_KEY_C1	0xa2
#define CHU_KEY_C2	0xb0
#define CHU_JI_C1	0xbb
#define CHU_JI_C2	0xfa

#define AMARK 	0xa1
#define WCHUS	0xda
#define WCHUE	0xdb
#define SCHUS	0xce
#define SCHUE	0xcf
#define NOSTR	0xa3
#define SHARP	0xf4
#define ASTAR	0xf6
#define SKAKO	0xca
#define EKAKO	0xcb
#define SKAGI	0xd6
#define EKAGI	0xd7
#define SRUBY	0xd4
#define ERUBY	0xd5
#define LRUBU	0xc3


#ifdef ITEXT_STR

char *STR_HEAD_LINE =	"---------";
char *STR_HEAD_LINE1 = "=========";
char *CHU_SMALL_STR0 = "";
char *CHU_SMALL_STR1 = "";
char *CHU_SMALL_STR2 = "";
char *CHU_SMALL_STR3 = "";
char *CHU_SMALL_STR3_1 = "";
char *CHU_SMALL_STR4 = "";
char *CHU_SMALL_STR4_1 = "";
char *CHU_BOUTEN_STR = "˵";
char *CHU_BOUSEN_STR = "˵";
char *CHU_JI_STR0 = "Ϥ";
char *CHU_JI_STR1 = "դ";
char *CHU_JI_STR2 = "Ϥ";
char *CHU_JI_STR3 = "";
char *CHU_JI_STR4 = "·";
char *CHU_JI_STR5 = "ϴ";
char *CHU_TE_STR0 = "ŷ";
char *CHU_TE_STR1 = "ŷ";
char *PICT_STR0 = "";
char *PICT_STR1 = "޳";
char *PICT_STR1_1 = "ޤ";
char *PICT_STR2 = "";
char *PICT_E_STR0 = "fig";
char *PICT_E_STR1 = ".png";

#else

extern char *STR_HEAD_LINE;
extern char *STR_HEAD_LINE1;
extern char *CHU_SMALL_STR0;
extern char *CHU_SMALL_STR1;
extern char *CHU_SMALL_STR2;
extern char *CHU_SMALL_STR3;
extern char *CHU_SMALL_STR3;
extern char *CHU_SMALL_STR4;
extern char *CHU_SMALL_STR4;
extern char *CHU_BOUTEN_STR;
extern char *CHU_BOUSEN_STR;
extern char *CHU_JI_STR0;
extern char *CHU_JI_STR1;
extern char *CHU_JI_STR2;
extern char *CHU_JI_STR3;
extern char *CHU_JI_STR4;
extern char *CHU_JI_STR5;
extern char *CHU_TE_STR0;
extern char *CHU_TE_STR1;
extern char *PICT_STR0;
extern char *PICT_STR1;
extern char *PICT_STR1_1;
extern char *PICT_STR2;
extern char *PICT_E_STR0;
extern char *PICT_E_STR1;

#endif


#define Head_Line(t)		(	strncmp(t,STR_HEAD_LINE,strlen(STR_HEAD_LINE)) == 0   || \
					strncmp(t,STR_HEAD_LINE1,strlen(STR_HEAD_LINE1)) == 0 )

#define Small_Start_Str(t)	(	strstr(t,CHU_SMALL_STR0)!=NULL && \
			   		strstr(t,CHU_SMALL_STR1)!=NULL		)	

#define Small_End_Str0(t)	(	strstr(t,CHU_SMALL_STR3) != NULL  	|| \
					strstr(t,CHU_SMALL_STR3_1) != NULL	)

#define Small_End_Str1(t)	(	strstr(t,CHU_SMALL_STR1) != NULL	|| \
					strstr(t,CHU_SMALL_STR2) != NULL	)

#define Wchu_Str(t)		( 	(strstr(t,CHU_SMALL_STR4) != NULL) 	|| \
			  		(strstr(t,CHU_SMALL_STR4_1) != NULL)	)

#define Jchu_Str(t)		(	strstr(t,CHU_JI_STR0)!=NULL		|| \
					strstr(t,CHU_JI_STR1)!=NULL		|| \
					strstr(t,CHU_JI_STR2)!=NULL		|| \
					strstr(t,CHU_JI_STR3)!=NULL		|| \
					strstr(t,CHU_JI_STR4)!=NULL		|| \
					strstr(t,CHU_JI_STR5)!=NULL		)

#define Tchu_Str(t)		(	strstr(t,CHU_TE_STR0)!=NULL		|| \
					strstr(t,CHU_TE_STR1)!=NULL		)

#define Bchu_Str(t)		( 	strstr(t,CHU_BOUTEN_STR) != NULL	|| \
					strstr(t,CHU_BOUSEN_STR) != NULL	)

#define Pict_Str(t)		(	strstr(t,PICT_STR0)!= NULL 		&& \
					(strstr(t,PICT_STR1)!= NULL		|| \
					 strstr(t,PICT_STR1_1)!= NULL		|| \
					 strstr(t,PICT_STR2)!= NULL)		)

#define Pict_Str_E(t)		(	strstr(t,PICT_E_STR0) != NULL		&& \
					strstr(t,PICT_E_STR1) != NULL		)
					


typedef struct BOUTENDATA{
        char *name;
        unsigned int c1,c2;
}BOUTEN_T;

#ifdef ITEXT_BOUTYPE

BOUTEN_T bouten_type[] = {
        {"˵",0xa1,0xf6},
        {"򥴥˵",0xa1,0xf6},
        {"˵",0xa1,0xfc},
        {"˵",0xa1,0xfb},
        {"˵",0xa2,0xa5},
        {"򻰳˵",0xa2,0xa4},
        {"Ŵ˵",0xa1,0xfd},
        {"ؤ˵",0xa1,0xfe}
};
BOUTEN_T bousen_type[] = {
        {"˵",0,0},
        {"",0,0},
        {"",0,0},
        {"",0,0},
        {"˵",0,0}
};
#endif

#endif
